BSON_JSON_READER_NEW_FROM_FILE(3)

NAME
bson_json_reader_new_from_file - bson_json_reader_new_from_file()

SYNOPSIS

bson_json_reader_t *
bson_json_reader_new_from_file (const char *filename, bson_error_t *error);

PARAMETERS

•   filename: A file-name in the system file-name encoding.

•   error: A bson_error_t.

DESCRIPTION

Creates a new bson_json_reader_t using the underlying file found at filename.

ERRORS

Errors are propagated via error.

RETURNS

A newly allocated bson_json_reader_t if successful, otherwise NULL and error is set.

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc